<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::Function&lt; R(Args...)&gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structtesting_1_1internal_1_1Function_3_01R_07Args_8_8_8_08_4.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::Function&lt; R(Args...)&gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a71efbc408f9ce64e36e2cc41df0da194"><td class="memItemLeft" align="right" valign="top"><a id="a71efbc408f9ce64e36e2cc41df0da194"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>Result</b> = R</td></tr>
<tr class="separator:a71efbc408f9ce64e36e2cc41df0da194"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacb86abf5791077bc9f3774fa0240ba2"><td class="memTemplParams" colspan="2"><a id="aacb86abf5791077bc9f3774fa0240ba2"></a>
template&lt;size_t I&gt; </td></tr>
<tr class="memitem:aacb86abf5791077bc9f3774fa0240ba2"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><b>Arg</b> = <a class="el" href="structtesting_1_1internal_1_1ElemFromList.html">ElemFromList</a>&lt; I, Args... &gt;</td></tr>
<tr class="separator:aacb86abf5791077bc9f3774fa0240ba2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc6bddfcfc78f9308c268123ebc2a99b"><td class="memItemLeft" align="right" valign="top"><a id="afc6bddfcfc78f9308c268123ebc2a99b"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>ArgumentTuple</b> = std::tuple&lt; Args... &gt;</td></tr>
<tr class="separator:afc6bddfcfc78f9308c268123ebc2a99b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1b4dca988b45fea2307518af5ac8a09"><td class="memItemLeft" align="right" valign="top"><a id="aa1b4dca988b45fea2307518af5ac8a09"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>ArgumentMatcherTuple</b> = std::tuple&lt; <a class="el" href="classtesting_1_1Matcher.html">Matcher</a>&lt; Args &gt;... &gt;</td></tr>
<tr class="separator:aa1b4dca988b45fea2307518af5ac8a09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a763920d3647641e1100bc4ade26d1d0c"><td class="memItemLeft" align="right" valign="top"><a id="a763920d3647641e1100bc4ade26d1d0c"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>MakeResultVoid</b> = void(Args...)</td></tr>
<tr class="separator:a763920d3647641e1100bc4ade26d1d0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23361a5e5eb49aad2e1dfe784e60b5da"><td class="memItemLeft" align="right" valign="top"><a id="a23361a5e5eb49aad2e1dfe784e60b5da"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>MakeResultIgnoredValue</b> = <a class="el" href="classtesting_1_1internal_1_1IgnoredValue.html">IgnoredValue</a>(Args...)</td></tr>
<tr class="separator:a23361a5e5eb49aad2e1dfe784e60b5da"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a9fbf56d693d099df9f23ad175ccef781"><td class="memItemLeft" align="right" valign="top"><a id="a9fbf56d693d099df9f23ad175ccef781"></a>
static constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><b>ArgumentCount</b> = sizeof...(Args)</td></tr>
<tr class="separator:a9fbf56d693d099df9f23ad175ccef781"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="gmock-internal-utils_8h_source.html">gmock-internal-utils.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="structtesting_1_1internal_1_1Function_3_01R_07Args_8_8_8_08_4.html">Function&lt; R(Args...)&gt;</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
